"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../../types");
const token_math_1 = require("@melonproject/token-math");
exports.wethToEth = (token) => token.replace(/^WETH$/, 'ETH');
exports.orderId = (order) => {
    const [id] = order;
    const key = `${types_1.Exchange.ETHFINEX}:${id}`;
    return Buffer.from(key).toString('base64');
};
exports.normalizeOrder = (options, order, id) => {
    const [, price, amount] = order;
    const volume = Math.abs(amount);
    const trade = token_math_1.createPrice(token_math_1.createQuantity(options.pair.base, volume), token_math_1.createQuantity(options.pair.quote, price * volume));
    return {
        id,
        type: amount > 0 ? types_1.OrderType.BID : types_1.OrderType.ASK,
        exchange: types_1.Exchange.ETHFINEX,
        trade,
    };
};
